Skip to main content

Basket Margin

Request to be POSTed to uri : /NorenWClientAPI/GetBasketMargin

Request Details :

Parameter NamePossible valueDescription
jData*Should send json object with fields in below list
Json FieldsPossible valueDescription
uid*Logged in User Id
actid*Account Id of logged in user
exch*NSE / NFO / BSE / MCXExchange (Select from ‘exarr’ Array provided in User Details response)
tsym*Unique id of contract on which order to be placed. (use url encoding to avoid special char error for symbols like M&M)
qty*Order Quantity
prc*Order Price
prd*C / M / HProduct name (Select from ‘prarr’ Array provided in User Details response, and if same is allowed for selected, exchange. Show product display name, for user to select, and send corresponding prd in API call)
trantype*B / SB -> BUY, S -> SELL
prctyp*LMT / SL-LMTPrice Type
blprcBook loss Price applicable only if product is selected as H and B (High Leverage and Bracket orderOptional field. Application only for modify order, open order quantity
rorgqtyOptional field. Application only for modify order, open order quantity
fillsharesOptional field. Application only for modify order, quantity already filled.
rorgprcOptional field. Application only for modify order, open order price
orgtrgprcOptional field. Application only for modify order, open order trigger price
norenordnoOptional field. Application only for H or B order modification
snonumOptional field. Application only for H or B order modification
basketlistsOptional field. Array of json objects. (object fields given in below table)
Json Fields of object in values ArrayPossible valueDescription
exch*NSE / NFO / BSE / MCXExchange (Select from ‘exarr’ Array provided in User Details response)
tsym*Unique id of contract on which order to be placed. (use url encoding to avoid special char error for symbols like M&M)
qty*Order Quantity
prc*Order Price
trgprcOnly to be sent in case of SL order.
prd*C / M / HProduct name (Select from ‘prarr’ Array provided in User Details response, and if same is allowed for selected, exchange. Show product display name, for user to select, and send corresponding prd in API call)
trantype*B / SB -> BUY, S -> SELL
prctyp*LMT / SL-LMTPrice Type

Example

curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetBasketMargin' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 33f5a445acef92ffaae09aeac3221786ac96a7b8d0e1e0337e1f56e065cfd72c' \
--data 'jData={"uid":"DEMO","actid":"DEMO","exch":"NSE","tsym":"RELIANCE-EQ","qty":"1","prc":"2000","prd":"C","trantype":"B","prctyp":"LMT","basketlists":[{"exch":"NSE","tsym":"RELIANCE-EQ","qty":"500","prc":"2000","prd":"C","trantype":"B","prctyp":"LMT"},{"exch":"NSE","tsym":"ACC-EQ","qty":"5","prc":"2000","prd":"M","trantype":"B","prctyp":"LMT"}]}'

Response Details :

Response data will be in json format with below fields.

Json FieldsPossible valueDescription
statOk or Not_OkPlace order success or failure indication.
request_timeResponse received time.
marginusedTotal margin used.
marginusedtradeMargin used after trade.
marginusedprevMargin used excluding this order.
remarksThis field will contain rejection reason.
emsgThis will be present only if Order placement fails

Sample Success Response :

{
"request_time": "12:06:36 11-12-2025",
"stat": "Ok",
"marginused": "1012000.00",
"marginusedtrade": "1012000.00",
"marginusedprev": "0.00",
"remarks": ""
}

Sample Failure Response :

{
"stat": "Not_Ok",
"emsg": "Invalid Input : Invalid Trading Symbol"
}